package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.PlanEquipmentMaintain;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.model.query.PlanEquipmentMaintainQuery;
import cn.wise.sc.cement.business.model.query.PlanFinishQuery;
import cn.wise.sc.cement.business.model.vo.PlanEquipmentMaintainVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ztw
 * @since 2020-09-28
 */
public interface IPlanEquipmentMaintainService extends IService<PlanEquipmentMaintain> {

	BaseResponse<IPage<PlanEquipmentMaintainVo>> getPage(PageQuery pageQuery, String name);

	void export(String name, String fileName, HttpServletResponse response);

	BaseResponse<PlanEquipmentMaintain> create(PlanEquipmentMaintainQuery query);

	BaseResponse<PlanEquipmentMaintain> update(PlanEquipmentMaintainQuery query);

	BaseResponse<PlanEquipmentMaintainVo> getDetail(Integer id);

	BaseResponse<String> finish(PlanFinishQuery query);

	BaseResponse<String> delete(Integer id);

}
